replace.hpp File Reference

## Functions

template<typename I , typename S , typename T1 , typename T2 , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::I (requires ` input_iterator< I > &&sentinel_for< S, I > &&indirectly_writable< I, T2 const & > &&indirect_relation< equal_to, projected< I, P >, T1 const * >) III replace(I first
| function template `replace`

## Variables

CPP_TEMPLATE_AUX_0 S T1 const T2 const & | ranges::new_value
CPP_TEMPLATE_AUX_0 S T1 const & | ranges::old_value
CPP_TEMPLATE_AUX_0 S T1 const T2 const P | ranges::T1
CPP_TEMPLATE_AUX_0 S T1 const T2 const P | ranges::T2